Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Wed 22 Oct 2014, 23:53
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
gtk-youtube-viewer (for lots of pups)
Post new topic   Reply to topic View previous topic :: View next topic
Page 11 of 13 [195 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12, 13 Next
Author Message
rokytnji


Joined: 20 Jan 2009
Posts: 1372
Location: Pecos/ Texas

PostPosted: Fri 17 Jan 2014, 21:02    Post subject:  

Quote:
was libphonon a problem at all..

It was the first error on startup for 1.8 mintube for dpup.

I'm still wrestling it.

my previous post was showing minitube wotking in my Carolina 1.1 install from Carolina package manager. It is a older version because on open I got a update message.

I was thinking of trying to get a .xz Slackware package installed of the version 2 but I might have spoken too soon of running minitube in SlackO.

I did not realize phonon was such a b____. Rolling Eyes
Back to top
View user's profile Send private message Visit poster's website 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Fri 17 Jan 2014, 23:07    Post subject: youtube downloader with player uses 1/4 cpu of firefox/flas  

I got an Opera flash downloader working once then the Download button disappeared. It offered rather nonstandard download resolutions (270p MP4, not 360p). Opera crashed.

Firefox 3 crashes on this D600 so I used Firefox 17 and the posted youtube downloader works well and offered 240p flv or 360p mp4. I told it to open the files with mplayer.

The flv downloads at 58Kb/sec. The mp4 at 310Kb/sec (It is less than twice the size).
So I could download a video in about 1/4 or 1/5 the time it takes to view it at 360p, but I cannot download it in reasonable time as a 240p flv.

Mplayer did not start while the files were downloading.

Firefox crashed.

I was able to kill -9 all the browser processes. I have 1GB RAM and used/killed one browser at a time.

Firefox/flash uses 60% of 1GB memory and 77% of 1.6GHz cpu power.
Mplayer uses 60% of the memory but only 5% of the cpu power, so I am hoping
it will play 360p MP4s on the 400Mhz computer (where it has to be X not -vo vesa or -vo fbdev).

A CLI downloader would still be helpful - cclive, movgrab, clipgrab.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Fri 17 Jan 2014, 23:19    Post subject: mplayer -vo fbdev and fbdev2  

I can switch to a terminal and play the same mp4.
I am using framebuffer console and vga=791 (1024x768 resolution).
The 480x360 pixel mp4 plays in about 1/4 of the screen, with sound, using fbdev or fbdev2 instead of x11. fbdev2 lets me switch consoles and continue to play the video while running 'free'.

I could download a video using Firefox in X11, then exit X and play it with mplayer
and fbdev to save cpu.

17% of 1.6GHz is under 300Mhz so I should be able to view a 360p video with mplayer (and without X running) on a 300Mhz computer that supports framebuffer video. My two best candidates for MP4 players do not - 400MHz screen turns pink and blue if you try to start a terminal, and 900MHz DELL Inspiron 2500 does not do framebuffer at all.
X probably does not use a whole lot more cpu power than fbdev so I will try the 400Mhz Thinkpad 600e for playing a 360p video with mplayer after downloading with Firefox and the Youtube downloader and plan on waiting 10 min for the download before playinig a 40 min video. Not enough cpu power for Firefox and mplayer together.

Still looking for a CLI mp4 downloader so I can play an mp4 while it downloads.
Can anyone set up for compiling for 4.1.2 compile cclive, movgrab, or clipgrab?
Back to top
View user's profile Send private message 
rokytnji


Joined: 20 Jan 2009
Posts: 1372
Location: Pecos/ Texas

PostPosted: Sat 18 Jan 2014, 00:35    Post subject:  

Quote:
A CLI downloader would still be helpful - cclive, movgrab, clipgrab.


I guess youtube-dl I posted did not work n 4.12 also.
Back to top
View user's profile Send private message Visit poster's website 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sat 18 Jan 2014, 01:46    Post subject: Standalone y outube-dl works perfectly in 4.1.2-based pulp03  

I posted the details in that topic discussion.
Can I pipe the output of the download to mplayer?
I don't see an mp4.temp like I got with a youtube-downloader plugin, that I could
play as it downloaded.

Just under 12 min ETA to download a 45 min video, or 4:1.
I can read a project gutenberg short story while waiting, and start another
download while watching one video.
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sat 18 Jan 2014, 02:02    Post subject: Can play downloading mp4  

I found a large piece of the latest 45 min download ending in .mp4.part in /root, after the file system filled up and the download stopped (with the usual red warning at screen top). Mplayer could play it.

youtube-dl --help

It is not obvious how to download to a specific location, but I think I can download lower quality mp4s to play on slower computers. A configuration file or script will help.
It will be fun watching 240p videos at 233MHz in 96MB RAM with mplayer -vo fbdev.

I just installed wary 5.5 to our fastest laptop (2008) and gtk-youtube-viewer works perfectly.
Too easy. Thanks to everyone contributing these useful packages.
Back to top
View user's profile Send private message 
mikeb


Joined: 23 Nov 2006
Posts: 8345

PostPosted: Sat 18 Jan 2014, 08:03    Post subject:  

Hmm yes you were trying to play the download final name rather then the .part version and you do seem to have had a lot of instability problems.

well there ya go..

libphonon...yes I compiled marble but left out libphonon...was the thing that made me wonder about minitube.... its just yet another cooky sound system I believe but it said you must have a working phonon system for this to be happy ...interesting older version behaved better...one to try.

mike
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sat 18 Jan 2014, 09:40    Post subject: Can wary pet be installeed to puppy 4?  

I tried to install the viewer in pulp puppy (4.1.2) to try it without gtk (since someone said that might be what is not working) and it did not install - no files were copied and the puppy package manager had no record of it.

So I untarred the pet (tar -zxvf) and looked at the youtube-viewer file, which is a script,
and tried running it.

./youtube-viewer complains of not having perl 5.10.

I got the perl 5.10.1 package from Carolina puppy (a puppy 5) and typed petget perl*pet
and it made one empty directory in /usr/lib/perl5 and did not copy over any files from
the 10MB package.

Even if gtk in Puppy 4 is too old, could the non-graphical youtube-viewer be made into a puppy 4 package, maybe by including the minimum required files from perl 5.10? I tried copying over the perl5.10.1 binary and the perl files in the pet, but not the rest of the files in the perl 5.10 package so it is missing a lot of .pm's. I don't want to install 10MB of perl 5.10 most of which is irrelevant (small hard drive).

I don't know what pieces of the package are used only by the gtk viewer.

The non-gtk youtube viewer would be helpful on old slow computers that won't run newer puppies (kernel incompatibility).
Back to top
View user's profile Send private message 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Sun 19 Jan 2014, 19:39    Post subject: Watching youtube at 233MHz with puppy 4.3.1
Subject description: updated glibc, used a uclibc mplayer, youtube-dl
 

See the youtube-dl discussion for details. Summary:
Thinkpad 560X, P55C (i586), 160MB memory, 233MHz, 800x600 XOrg,
no framebuffer support.

Puppy 4.3.1 and 4.1.2 have glibc 2.6. I updated to 2.10.2 with a deb
package.

Puppy 4 mplayer does not support P55C. The Pulp mplayer (4.1.2 based)
does.

Opera 10 cannot even display the youtube page without freezing up due to
running out of memory.

Youtube-dl downloads 3gp (-f 17, 144p), flv (-f 5, 240p), or mp4 (-f 18,
360p), all at full bandwidth (unlike the Firefox plugin). I could watch
the first two with mplayer in X11 (no fbdev available for the hardware)
without jerkiness or out-of-sync sound. The mp4 played very slowly with
sound way out of sync. The 240p used about 41% of cpu for mplayer and
8% for X. The 360p uses about 91% mplayer and 3% X, and mplayer told me
my computer was 'too SLOW'. Other processes used a bit of cpu even
after killing ROX-filer, blinky, etc. I waited for downloads to
complete before playing anything. Memory usage was about 15% of my
160MB (25MB) for X plus mplayer - far far less than used by a graphical
browser even without flash.

P55C was released Jan 1997. I can watch youtube on a 17 year old
laptop now.

In theory 144p should play on a 166MHz P55C with 128MB memory, or maybe
only 96MB. 240p should work at 200MHz. Would full puppy use less
memory than frugal?
Back to top
View user's profile Send private message 
rokytnji


Joined: 20 Jan 2009
Posts: 1372
Location: Pecos/ Texas

PostPosted: Sun 19 Jan 2014, 20:24    Post subject:  

Quote:
In theory 144p should play on a 166MHz P55C with 128MB memory, or maybe
only 96MB. 240p should work at 200MHz. Would full puppy use less
memory than frugal?


I wouldn't waste a frugal install on any of your specs. A full install with /swap would be the only path I would choose for anything under 512MB of ram and even them I might go with a full install with 512MB with a 700MB /swap or swap file.
Back to top
View user's profile Send private message Visit poster's website 
sindi

Joined: 16 Aug 2009
Posts: 395

PostPosted: Mon 20 Jan 2014, 00:01    Post subject: Full install - how much RAM?  

How much RAM does a full install of Wary 5.5 use? Does it still start things like cupsd and ROX-filer at startup?

How does the gtk viewer deal with the new youtube DASH video format, which requires downloading separate video and audio (at least with youtube-dl)? I read that only very recent mplayer can reassemble and play them together. You get a choice of three audio qualities and DASH video resolutions. The 480p regular mp4 is no longer available at youtube. A lot of people are annoyed at youtube for constantly changing things.
Back to top
View user's profile Send private message 
ardvark


Joined: 01 Jul 2013
Posts: 1010
Location: USA

PostPosted: Mon 20 Jan 2014, 00:27    Post subject:  

This works great, thank you. Smile

A Puppyized version of Minitube.

Regards...
Back to top
View user's profile Send private message 
greengeek

Joined: 20 Jul 2010
Posts: 2596
Location: New Zealand

PostPosted: Mon 20 Jan 2014, 02:16    Post subject: Re: Full install - how much RAM?  

sindi wrote:
A lot of people are annoyed at youtube for constantly changing things.
Youtube is intent on leading its customers by the nose towards a point of no return where YT will be able to fully control (and charge for) access to content.

Since they didn't own that content prior to it being uploaded to YT it is time to stop adding such content to YT, and find / make an alternative.

Till then, it will continue to be a moving target that moves gradually away from any open source philosophy and further towards an "App Store" type of approach.
Back to top
View user's profile Send private message 
Semme

Joined: 07 Aug 2011
Posts: 3967
Location: World_Hub

PostPosted: Tue 18 Feb 2014, 17:13    Post subject:  

Hey PhilB, does yours still load mplayer when videos are dbl-clked?

I see 3.0.9's out. Is there a code line that can be adjusted or, will you update any of the offerings on your opening post?

If need be, I'm sure the Wheezy pkg would work with Lucid..

Danks.
Back to top
View user's profile Send private message 
666philb


Joined: 07 Feb 2010
Posts: 1773
Location: wales

PostPosted: Wed 19 Feb 2014, 06:49    Post subject:  

hi semme

3.0.2 is still working for me fine .. in both lucid and precise. plays video .... downloads video

maybe try reinstalling the .pet



i've got 3.0.9 working in precise ..... will look into lucid and see if the wheezy one works.

_________________
Tahrpup, built with trusty tahr packages http://murga-linux.com/puppy/viewtopic.php?t=93998
Quickpet_Precise, install popular apps quickly http://www.murga-linux.com/puppy/viewtopic.php?t=83642
Back to top
View user's profile Send private message 
Display posts from previous:   Sort by:   
Page 11 of 13 [195 Posts]   Goto page: Previous 1, 2, 3, ..., 9, 10, 11, 12, 13 Next
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Browsers and Internet
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.1059s ][ Queries: 12 (0.0210s) ][ GZIP on ]